Bug 337391 - mount -a gives errors if gfs is already mounted
mount -a gives errors if gfs is already mounted
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-utils (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Robert Peterson
GFS Bugs
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-10-18 04:32 EDT by Lutz Lange
Modified: 2010-01-11 22:33 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEL5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-28 11:30:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lutz Lange 2007-10-18 04:32:15 EDT
Description of problem:
gfs filesystem is already mounted.
mount -a is executed and writes :

Version-Release number of selected component (if applicable):
Enterprise Linux 5.0 

How reproducible:
mount your gfs filesystem and execute mount -a
Actual results:
error message

Expected results:
no output, no action
Comment 3 Robert Peterson 2007-10-22 09:28:37 EDT
The bug was closed by accident so I'm reopening.
Comment 6 Robert Peterson 2007-10-22 18:02:20 EDT
Ah, herein lies the problem:

"all paths in /etc/mtab have to be canonicalized absolute paths"

Because we're using lvm2 and device mapper, the canonicalized absolute
path to /dev/TAFT_CLUSTER/TAFT_CLUSTER0 is actually
/dev/mapper/TAFT_CLUSTER-TAFT_CLUSTER0.  I lost access to this cluster,
but I recreated it on another.  After I modified /etc/mtab to have the
full canonicalized absolute path, mount -a found it as well.

In version 5.1, the mount helper puts the resolved path into mtab,
so we don't have the problem there.  I'll backtrack it from here.
Comment 7 Robert Peterson 2007-10-23 14:48:52 EDT
I haven't backtracked this yet, but the fact remains: the problem does
not occur in rhel5.1.  Seeing as how it's too late to get anything into
5.0.z anyway, rather than waste any more of my time trying to dig through
code, I'd like to just close this bug as CURRENTRELEASE.  Is that alright?
Comment 8 Lutz Lange 2007-11-28 10:44:26 EST
alright with me
Comment 9 Robert Peterson 2007-11-28 11:30:21 EST
Closing CURRENTRELEASE as discussed above.

Note You need to log in before you can comment on or make changes to this bug.